## BtSongIONative BtSongIONative — class for song input and output in builtin native format |

## Synopsis

    #include <libbtcore/core.h>

                        BtSongIONative;
                        BtSongIONativeClass;

## Object Hierarchy

      GObject
       +----BtSongIO
             +----BtSongIONative
                   +----BtSongIONativeBZT
                   +----BtSongIONativeXML

## Description

Buzztard stores its songs in a own file-format. This internal io-module implements loading and saving of this format. The format is an archive, that contains an XML file and optionally binary data, such as audio samples.

## Details

### BtSongIONative

    typedef struct _BtSongIONative BtSongIONative;

object for song input and output in native zip/xml format

### BtSongIONativeClass

    typedef struct {
      const BtSongIOClass parent;
    } BtSongIONativeClass;

Class for song input and output in native zip/xml format

const BtSongIOClass `parent`; | parent class type